Subject: Re: [PATCHv2 GSoC] gitweb: Move static files into seperate subdirectory

From: Pavan Kumar Sunkara <[email-masked]>
Date: Mon, 10 May 2010 18:31:44 +0530

On Monday 10 May 2010 06:25 PM, Jakub Narebski wrote:
> Only minor comments about submission itself.  Patch I think is now
> all right with added required changes to main Makefile.
>
>
> On Mon, 10 May 2010, Pavan Kumar Sunkara wrote:
>
>    
>> Gitweb: Move static files into seperate subdirectory
>>      
> This should be the subject of an email, like now is (only without
> "Re:"), and this line should be missing from email body.
>
> Or you need to use
>
>    Subject: gitweb: Move static files into seperate subdirectory
>
> It is customary to start subsystem prefix with lowercase.
>
>    
>> Create a new subdirectory called 'static' in gitweb/, and move
>> all static files required by gitweb.cgi when running, which means
>> styles, images and Javascript code. This should make gitweb more
>> readable and easier to maintain.
>>
>> Update t/gitweb-lib.sh to reflect this change.  The default is
>> now to install static files also in 'static' subdirectory in target
>> directory: update Makefile, gitweb's INSTALL, README and Makefile
>>
>> Signed-off-by: Pavan Kumar Sunkara<[email-masked]>
>> ---
>>      
> The comments about patch itself should be put *here*, between "---\n"
> and diffstat.
>
>    
>> This is the new patch which includes the changes suggested by Jakub.
>>
>> Regarding wordwrap, all the mailing ports in my university are closed
>> which leaves me only the gmail web cient which don't have any option
>> to disable wordwrap. I will try to find a workaround for this. Please
>> bear with my wordwrap until then.
>>
>> Thanks
>> -Pavan
>>      
>
> Like this.
>
>    
>>   Makefile                            |   20 ++++++++++----------
>>   gitweb/INSTALL                      |   20 ++++++++++----------
>>   gitweb/Makefile                     |   20 ++++++++++----------
>>   gitweb/README                       |   13 +++++++------
>>   gitweb/{ =>  static}/git-favicon.png |  Bin 115 ->  115 bytes
>>   gitweb/{ =>  static}/git-logo.png    |  Bin 207 ->  207 bytes
>>   gitweb/{ =>  static}/gitweb.css      |    0
>>   gitweb/{ =>  static}/gitweb.js       |    0
>>   t/gitweb-lib.sh                     |    6 +++---
>>   9 files changed, 40 insertions(+), 39 deletions(-)
>>   rename gitweb/{ =>  static}/git-favicon.png (100%)
>>   rename gitweb/{ =>  static}/git-logo.png (100%)
>>   rename gitweb/{ =>  static}/gitweb.css (100%)
>>   rename gitweb/{ =>  static}/gitweb.js (100%)
>>      
> [...]
>    

Ok. I will follow this format from next time onwards.

And thanks to ramkumar I found a solution to use email clients on ports.

I would like to know when this patch will be merged.

Thanks
- Pavan